// lame encoding functions for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef LAME_ENCODE_H
#define LAME_ENCODE_H

#include <stdlib.h>
#include <lame/lame.h>

extern lame_global_flags *gfp_stream;
extern lame_global_flags *gfp_record;

extern char* lame_buf;

int lame_enc_init();
int lame_enc_buf(short *pcm_buf, char *enc_buf, int size, lame_global_flags *gfp, int size);
int lame_enc_reinit();

inline void lame_enc_close()
{
    lame_close(gfp_stream);
    lame_close(gfp_record);
}

#endif

